<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<schema xmlns="http://www.w3.org/2001/XMLSchema"
            xmlns:ns36="www.XmlTest.org/complex_restriction"
            targetNamespace="www.XmlTest.org/complex_restriction">
  <annotation>
    <documentation xml:lang="en">
      This documentum tests based on
      XML Schema Part 0: Primer Second Edition
      4.4 Deriving Types by Restriction
      XML Schema Part 1: Structures Secod Edition
      3.4.2 XML Representation of Complex Type Definitions
    </documentation>
  </annotation>

<complexType name="MySubjects4">
  <sequence>
    <element name="English" type="string" minOccurs="0"/>
    <element name="Math"    type="string" minOccurs="0" />
    <element name="Physics"   type="string" minOccurs="0" maxOccurs="3"/>
    <element name="Chemistry" type="string" minOccurs="0"/>
  </sequence>
  <attribute name="Year" type="gYear"/>
</complexType>

<complexType name="MySubjects4Restriction">
  <complexContent>
    <restriction base="ns36:MySubjects4">
        <sequence>
          <element name="English" type="string" minOccurs="1"/>
          <element name="Math"    type="string" minOccurs="1"/>
          <element name="Physics"   type="string" minOccurs="1" maxOccurs="2"/>
        </sequence>
     </restriction>
  </complexContent>
</complexType>

</schema>
